ParentalControlRatings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Interface ParentalControlRatings

    public interface ParentalControlRatings

This interface contains constant definitions that can be used with the `MediaAccessHandlerRegistrar.setSignaledBlocking(int)` method. The constants coincide with CEA-766-A April 2001 table 3.

Field Summary
`static int` | `MPAA_G`
`static int` | `MPAA_NA`
`static int` | `MPAA_NC_17`
`static int` | `MPAA_NOT_RATED`
`static int` | `MPAA_PG`
`static int` | `MPAA_PG13`
`static int` | `MPAA_R`
`static int` | `MPAA_X`
`static int` | `TV_14`
`static int` | `TV_14_D`
`static int` | `TV_14_D_L`
`static int` | `TV_14_D_L_S`
`static int` | `TV_14_D_L_S_V`
`static int` | `TV_14_D_L_V`
`static int` | `TV_14_D_S`
`static int` | `TV_14_D_S_V`
`static int` | `TV_14_D_V`
`static int` | `TV_14_L`
`static int` | `TV_14_L_S`
`static int` | `TV_14_L_S_V`
`static int` | `TV_14_L_V`
`static int` | `TV_14_S`
`static int` | `TV_14_S_V`
`static int` | `TV_14_V`
`static int` | `TV_G`
`static int` | `TV_MA`
`static int` | `TV_MA_L`
`static int` | `TV_MA_L_S`
`static int` | `TV_MA_L_S_V`
`static int` | `TV_MA_L_V`
`static int` | `TV_MA_S`
`static int` | `TV_MA_S_V`
`static int` | `TV_MA_V`
`static int` | `TV_NONE` See CEA-766-A April 2001 for definitions.
`static int` | `TV_PG`
`static int` | `TV_PG_D`
`static int` | `TV_PG_D_L`
`static int` | `TV_PG_D_L_S`
`static int` | `TV_PG_D_L_S_V`
`static int` | `TV_PG_D_L_V`
`static int` | `TV_PG_D_S`
`static int` | `TV_PG_D_S_V`
`static int` | `TV_PG_D_V`
`static int` | `TV_PG_L`
`static int` | `TV_PG_L_S`
`static int` | `TV_PG_L_S_V`
`static int` | `TV_PG_L_V`
`static int` | `TV_PG_S`
`static int` | `TV_PG_S_V`
`static int` | `TV_PG_V`
`static int` | `TV_Y`
`static int` | `TV_Y7`
`static int` | `TV_Y7_FV`

Field Detail

### TV_NONE

    static final int TV_NONE

  See CEA-766-A April 2001 for definitions.

  See Also:
    Constant Field Values

### TV_Y

    static final int TV_Y

See Also:
  Constant Field Values

### TV_Y7

    static final int TV_Y7

See Also:
  Constant Field Values

### TV_Y7_FV

    static final int TV_Y7_FV

See Also:
  Constant Field Values

### TV_G

    static final int TV_G

See Also:
  Constant Field Values

### TV_PG

    static final int TV_PG

See Also:
  Constant Field Values

### TV_PG_D

    static final int TV_PG_D

See Also:
  Constant Field Values

### TV_PG_L

    static final int TV_PG_L

See Also:
  Constant Field Values

### TV_PG_S

    static final int TV_PG_S

See Also:
  Constant Field Values

### TV_PG_V

    static final int TV_PG_V

See Also:
  Constant Field Values

### TV_PG_D_L

    static final int TV_PG_D_L

See Also:
  Constant Field Values

### TV_PG_D_S

    static final int TV_PG_D_S

See Also:
  Constant Field Values

### TV_PG_D_V

    static final int TV_PG_D_V

See Also:
  Constant Field Values

### TV_PG_L_S

    static final int TV_PG_L_S

See Also:
  Constant Field Values

### TV_PG_L_V

    static final int TV_PG_L_V

See Also:
  Constant Field Values

### TV_PG_S_V

    static final int TV_PG_S_V

See Also:
  Constant Field Values

### TV_PG_D_L_S

    static final int TV_PG_D_L_S

See Also:
  Constant Field Values

### TV_PG_D_L_V

    static final int TV_PG_D_L_V

See Also:
  Constant Field Values

### TV_PG_D_S_V

    static final int TV_PG_D_S_V

See Also:
  Constant Field Values

### TV_PG_L_S_V

    static final int TV_PG_L_S_V

See Also:
  Constant Field Values

### TV_PG_D_L_S_V

    static final int TV_PG_D_L_S_V

See Also:
  Constant Field Values

### TV_14

    static final int TV_14

See Also:
  Constant Field Values

### TV_14_D

    static final int TV_14_D

See Also:
  Constant Field Values

### TV_14_L

    static final int TV_14_L

See Also:
  Constant Field Values

### TV_14_S

    static final int TV_14_S

See Also:
  Constant Field Values

### TV_14_V

    static final int TV_14_V

See Also:
  Constant Field Values

### TV_14_D_L

    static final int TV_14_D_L

See Also:
  Constant Field Values

### TV_14_D_S

    static final int TV_14_D_S

See Also:
  Constant Field Values

### TV_14_D_V

    static final int TV_14_D_V

See Also:
  Constant Field Values

### TV_14_L_S

    static final int TV_14_L_S

See Also:
  Constant Field Values

### TV_14_L_V

    static final int TV_14_L_V

See Also:
  Constant Field Values

### TV_14_S_V

    static final int TV_14_S_V

See Also:
  Constant Field Values

### TV_14_D_L_S

    static final int TV_14_D_L_S

See Also:
  Constant Field Values

### TV_14_D_L_V

    static final int TV_14_D_L_V

See Also:
  Constant Field Values

### TV_14_D_S_V

    static final int TV_14_D_S_V

See Also:
  Constant Field Values

### TV_14_L_S_V

    static final int TV_14_L_S_V

See Also:
  Constant Field Values

### TV_14_D_L_S_V

    static final int TV_14_D_L_S_V

See Also:
  Constant Field Values

### TV_MA

    static final int TV_MA

See Also:
  Constant Field Values

### TV_MA_L

    static final int TV_MA_L

See Also:
  Constant Field Values

### TV_MA_S

    static final int TV_MA_S

See Also:
  Constant Field Values

### TV_MA_V

    static final int TV_MA_V

See Also:
  Constant Field Values

### TV_MA_L_S

    static final int TV_MA_L_S

See Also:
  Constant Field Values

### TV_MA_L_V

    static final int TV_MA_L_V

See Also:
  Constant Field Values

### TV_MA_S_V

    static final int TV_MA_S_V

See Also:
  Constant Field Values

### TV_MA_L_S_V

    static final int TV_MA_L_S_V

See Also:
  Constant Field Values

### MPAA_NA

    static final int MPAA_NA

See Also:
  Constant Field Values

### MPAA_G

    static final int MPAA_G

See Also:
  Constant Field Values

### MPAA_PG

    static final int MPAA_PG

See Also:
  Constant Field Values

### MPAA_PG13

    static final int MPAA_PG13

See Also:
  Constant Field Values

### MPAA_R

    static final int MPAA_R

See Also:
  Constant Field Values

### MPAA_NC_17

    static final int MPAA_NC_17

See Also:
  Constant Field Values

### MPAA_X

    static final int MPAA_X

See Also:
  Constant Field Values

### MPAA_NOT_RATED

    static final int MPAA_NOT_RATED

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD